
package com.icesoft.support;

import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@CustomScoped(value = "#{window}")
public class TestBean implements Serializable{
    
    private String text = "Test Text";
    
    public TestBean(){
        System.out.println("TestBean Constructor Called " + hashCode());
        
    }
    
    @PostConstruct
    public void init(){
        System.out.println("PostConstruct Called "  + hashCode());
        
    }

    public String getText() {
        try {
            Thread.sleep(5000);
        } catch (InterruptedException ex) {
            Logger.getLogger(TestBean.class.getName()).log(Level.SEVERE, null, ex);
        }
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }
 
    @PreDestroy
    public void destroy(){
        System.out.println("PreDestroy Called "  + hashCode());
        
    }
}
